Subject: RE: [Ecrit] RE: [Geopriv] Deployment models

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Tue, 17 May 2005 10:36:55 -0400

Brian,

This is as bad as trying to define "what is the Internet".

I would say that each of these entities are providing a piece of the
Internet puzzle.  For one of them to assert an exclusive claim to be THE
Internet Service Provider is hubris.  Each could claim to be an ISP.
Therefore, we may be better served to distinguish them as:

Access ISP:  provides data transport to the home or business user
Core ISP:  provides data transport between access data networks
Service ISP:  provides a service platform such a telephony softswitches,
PSTN GW, etc.

Of course, a single company (ISP) can support one, multiple, or all of
these data transport and application services.

Mike

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of Brian Rosen
> Sent: Tuesday, May 17, 2005 7:48 AM
> To: 'Henning Schulzrinne'; [email-masked]; [email-masked]
> Subject: [Ecrit] RE: [Geopriv] Deployment models
> 
> I agree with these model descriptions.  I have problems with 
> terminology.
> 
> I think we all know and agree with the term "Internet Service 
> Provider".  A customer has a direct relationship with his ISP.
> 
> I have been using the term "Access Infrastructure Provider" 
> for the entity that actually owns the infrastructure.  This 
> may or may not be the ISP.
> However, when the AIP and the ISP are not the same entity, 
> the ISP borrows/rents/leases facilities from the AIP.  
> Location is always reported to the subscriber by the ISP.  
> The AIP is the entity that actually knows where the 
> subscriber is.  Location is always originated by (and 
> possibly signed by) the AIP.  There are cases where the 
> infrastructure is split between two entities.  For example, 
> one entity may actually own the wires, and another the layer 
> 2 infrastructure.  Again, there are contractual relationships 
> between these parties.  I'm calling the AIP the Layer 2 
> entity.  The ISP provides IP packet forwarding.  
> 
> I'm not sure what entity an IAP is.
> 
> Brian
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On 
> > Behalf Of Henning Schulzrinne
> > Sent: Monday, May 16, 2005 11:06 PM
> > To: [email-masked]; [email-masked]'
> > Subject: [Geopriv] Deployment models
> > 
> > We had discussed several deployment models (network architectures), 
> > including, roughly in order of challenge:
> > 
> > (Vertical integration) Network access and call signaling (SIP) 
> > operated by the same entity or at least two entities with a close 
> > relationship; for example, the IAP operates an outbound 
> proxy in each 
> > subnet that can insert or provide location information;
> > 
> > (User cert) The IAP and VSP are separate entities that don't 
> > cooperate, but the IAP might operate an outbound proxy that 
> provides 
> > identity assertion based on access identity.
> > 
> > (Certified customer, no relationship) The IAP hands out customer 
> > certificates that allow a user to certify that they are known to a 
> > larger entity. Customers can give their private keys to their evil 
> > twins and shady friends, but they would presumably face 
> some liability 
> > for this. The VSP is a separate entity in this case.
> > 
> > (No relationship) The IAP and VSP have no relationship; one 
> certifies 
> > location and maybe a customer name, the other an identity 
> only. There 
> > is no long-term stable relationship between the access 
> identifier and 
> > the voice identifier. (Indeed, there may not be any voice 
> identifier 
> > as such, as the caller may just run its own SIP client, without the 
> > benefit of a Vonage-like entity.)
> > 
> > The basic assumption is that the IAP provides location (and maybe 
> > identity), the VSP identity, but no location. Obviously, in 
> the first 
> > case, they are the same, so the distinction is moot.
> > 
> > This only matters if the receiver can discriminate under 
> overload. If 
> > the receiving call center is somehow obligated to take all 
> calls with 
> > equal probability, signing does not matter, except to prevent a bad 
> > actor from modifying in-transit signaling requests (for 
> which channel 
> > security is probably a better approach).
> > 
> > In all cases, it doesn't matter for this discussion whether the 
> > location is identified by a location object or some pointer 
> to a location object.
> > 
> > 
> > Henning
> > 
> > _______________________________________________
> > Geopriv mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/geopriv
> > 
> 
> 
> 
> 
> _______________________________________________
> Ecrit mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ecrit
> 

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv